using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace spring16_sem2_winarray_list
{
    public partial class Form1 : Form
    {
        static public string str;
        static public int arrlength = 20;
        static public Random ran = new Random();
        static public int[] intarray = new int[arrlength];
        static public List<int> intlist = new List<int>();


        public Form1()
        {
            InitializeComponent();
        }

        private void updarraylistbox()
        {
            listBox1.Items.Clear();
            for (int a = 0; a < intarray.Length; a++)
                listBox1.Items.Add(intarray[a].ToString());
        }

        private void updlistlistbox()
        {
            listBox2.Items.Clear();
            for (int a = 0; a < intlist.Count; a++)
                listBox2.Items.Add(intlist[a].ToString());
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Declare an array
            str = "int[] intarray = new int[20];";
            textBox1.Text = str;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //Declare a List
            str = "List<int> intlist = new List<int>();";
            textBox1.Text = str;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //Fill array with random numbers
            for(int a=0;a<arrlength;a++)
                intarray[a]=ran.Next(1,100);
            str = "for(int a=0;a<"+arrlength.ToString()+" ;a++)intarray[a]=ran.Next(1,100);";
            textBox1.Text = str;
            updarraylistbox();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //reverse array
            Array.Reverse(intarray);
            str = "Array.Reverse(intarray);";
            textBox1.Text = str;
            updarraylistbox();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            //sort array
            Array.Sort(intarray);
            str = "Array.Sort(intarray);";
            textBox1.Text = str;
            updarraylistbox();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            //fill list up with 20 random numbers
            for (int b = intlist.Count-1; b > -1; b--)
                intlist.RemoveAt(b);

            for (int a = 0; a < 20; a++)
                intlist.Add(ran.Next(1, 100));
            str = "for(int a=0;a<20;a++)intlist.Add(ran.Next(1,100));";
            textBox1.Text = str;
            updlistlistbox();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            //Reverse list
            intlist.Reverse();
            str = "intlist.Reverse();";
            textBox1.Text = str;
            updlistlistbox();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            //sort list
            intlist.Sort();
            str = "intlist.Sort();";
            textBox1.Text = str;
            updlistlistbox();
        }

        private void button9_Click(object sender, EventArgs e)
        {
            //insert into list
            try
            {
                int data = Convert.ToInt16(textBox2.Text);
                intlist.Add(data);
                str = "intlist.Add(data);";
                textBox1.Text = str;
            }
            catch
            {
                MessageBox.Show("data not ok");
            }
            updlistlistbox();
            textBox2.Text = "";
        }

        private void button10_Click(object sender, EventArgs e)
        {
            //insert at to the list
            try
            {
                int pos = Convert.ToInt16(textBox3.Text);
                int data = Convert.ToInt16(textBox4.Text);
                intlist.Insert(pos, data);
                str = "intlist.Insert(pos,data);";
                textBox1.Text = str;
            }
            catch
            {
                MessageBox.Show("pos or data not ok");
            }
            updlistlistbox();
            textBox3.Text = "";
            textBox4.Text = "";
        }

        private void button11_Click(object sender, EventArgs e)
        {
            //remove from list
            try
            {
                int data = Convert.ToInt16(textBox5.Text);
                intlist.Remove(data);
                str = "intlist.Remove(data);";
                textBox1.Text = str;
            }
            catch
            {
                MessageBox.Show("data not ok");
            }
            updlistlistbox();
            textBox5.Text = "";
        }

        private void button12_Click(object sender, EventArgs e)
        {
            //Removeat list
            try
            {
                int pos = Convert.ToInt16(textBox6.Text);
                intlist.RemoveAt(pos);
                str = "intlist.RemoveAt(pos);";
                textBox1.Text = str;
            }
            catch
            {
                MessageBox.Show("pos not ok");
            }
            updlistlistbox();
            textBox6.Text = "";
        }

        private void button13_Click(object sender, EventArgs e)
        {
            //if exists in list
            int data = Convert.ToInt16(textBox7.Text);
            str = "if(intlist.Contains(data));";
            textBox1.Text = str;
            if (intlist.Contains(data))
                MessageBox.Show(data + " does exist in the list");
            else
                MessageBox.Show(data + " does not exist in the list");
            textBox7.Text = "";

        }

        private void button14_Click(object sender, EventArgs e)
        {
            //clear list
            intlist.Clear();
            str = "intlist.Clear();";
            textBox1.Text = str;
            updlistlistbox();
        }

        private void button15_Click(object sender, EventArgs e)
        {
            //try indexoff array
            try
            {
                int data = Convert.ToInt16(textBox8.Text);
                int pos = Array.IndexOf(intarray, data);
                textBox9.Text = pos.ToString();
            }
            catch
            {
            }
            str = "Array.IndexOf(intarray, data);";
            textBox1.Text = str;
            textBox8.Text = "";

        }

        private void button16_Click(object sender, EventArgs e)
        {
            //getValue og array
            try
            {
                int pos = Convert.ToInt16(textBox10.Text);
                int data = intarray[pos];
                textBox11.Text = data.ToString();
            }
            catch
            {
            }
            str = "int data = intarray[pos];";
            textBox1.Text = str;
            textBox10.Text = "";
        }

        private void button17_Click(object sender, EventArgs e)
        {
            //getlength of array
            int data = intarray.Length;
            textBox12.Text = data.ToString();
            str = "int data = intarray.Length();";
            textBox1.Text = str;
        }

        private void button18_Click(object sender, EventArgs e)
        {
            //clear array
            Array.Clear(intarray,0,arrlength);
            str = "Array.Clear(intarray,0,"+ arrlength.ToString()+" );";
            textBox1.Text = str;
            updarraylistbox();
        }

        private void button19_Click(object sender, EventArgs e)
        {
            //Resize array
            try
            {
                int data = Convert.ToInt16(textBox13.Text);
                //intarray = (int[])ResizeArray(intarray, new int[data] );
                Array.Resize(ref intarray, data);
                arrlength = data;
            }
            catch
            {
            }
            listBox1.Items.Clear();
            textBox13.Text = "";
        }
    }
}